package cn.cecep.talroad.domain;


import cn.cecep.talroad.common.core.annotation.Excel;
import cn.cecep.talroad.common.core.utils.StringUtils;
import cn.cecep.talroad.common.core.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.Version;
import java.util.Date;


/**
 * 固定源产排治--执行报告--火电、钢铁污染治理设施计划投资情况对象 b_stat_table_zxbg_hd_gt_investment
 *
 * @author szhpt
 * @date 2023-08-01*/
@ApiModel(value = "固定源产排治--执行报告--火电、钢铁污染治理设施计划投资情况")
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("b_stat_table_zxbg_hd_gt_investment")
public class BStatTableZxbgHdGtInvestment extends BStatTableZxbgJbxxInfoFactoryBase
{
    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主键id")
    /** 主键id */
    @TableId(value = "id",type = IdType.AUTO)
    private Long id;


    @ApiModelProperty(value = "企业id")
    /** 企业id */
    private String factoryId;


    @ApiModelProperty(value = "执行报告类型，0：月报，1：季报，2：年报")
    /** 执行报告类型，0：月报，1：季报，2：年报 */
    @Excel(name = "执行报告类型")
    private String zxbgType;


    @ApiModelProperty(value = "执行报告周期")
    /** 执行报告周期 */
    @Excel(name = "报告周期")
    private String zxbgPeriod;


    @ApiModelProperty(value = "机组名称")
    /** 机组名称 */
    @Excel(name = "机组名称")
    private String unitName;


    @ApiModelProperty(value = "治理类型")
    /** 治理类型 */
    @Excel(name = "治理类型")
    private String governanceType;


    @ApiModelProperty(value = "开工时间")
    /** 开工时间 */
    @Excel(name = "开工时间")
    private String startTime;


    @ApiModelProperty(value = "建成投产时间（拟）")
    /** 建成投产时间（拟） */
    @Excel(name = "建成投产时间（拟）")
    private String productionTime;


    @ApiModelProperty(value = "计划总投资")
    /** 计划总投资 */
    @Excel(name = "计划总投资")
    private String plannedInvestment;


    @ApiModelProperty(value = "计划周期内完成投资")
    /** 计划周期内完成投资 */
    @Excel(name = "计划周期内完成投资")
    private String cycleCompleteInvestment;


    public String getZxbgType() {
        return zxbgType;
    }

    public void setZxbgType(String zxbgType) {
        //0：月报，1：季报，2：年报
        if(StringUtils.isNotBlank(zxbgType)){
            if(zxbgType.equals("0")){this.zxbgType = "月报";}
            if(zxbgType.equals("1")){this.zxbgType = "季报";}
            if(zxbgType.equals("2")){this.zxbgType = "年报";}
        }else {
            this.zxbgType = zxbgType;
        }
    }


    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("factoryId", getFactoryId())
            .append("zxbgType", getZxbgType())
            .append("zxbgPeriod", getZxbgPeriod())
            .append("unitName", getUnitName())
            .append("governanceType", getGovernanceType())
            .append("startTime", getStartTime())
            .append("productionTime", getProductionTime())
            .append("plannedInvestment", getPlannedInvestment())
            .append("cycleCompleteInvestment", getCycleCompleteInvestment())
            .append("createTime", getCreateTime())
            .toString();
    }
}
